Subject: Re: [lojban] Bug in word break algorithm

From: Pierre Abbat <[email-masked]>
Date: Mon, 6 Jan 2003 15:05:16 -0500

On Monday 06 January 2003 13:37, Jorge Llambias wrote:
> I don't know what the front-middle method is, but a slinku'i
> is any form starting with a permissible initial cluster such
> that if you remove the initial consonant you are left with a
> lujvo. So if you can recognize a lujvo, you can also easily
> recognize a slinku'i.

Not exactly; it's any form starting with a permissible initial cluster, and 
which is not a lujvo, such that prepending CV produces a lujvo. {branda} and 
{spa'i} are slinku'i.

The front-middle method is explained in BRKWORDS.TXT. It consists of looking 
for a sequence of front-middles of lujvo, such as CCV and CV'V, followed by 
one lujvo back, or one long or CVC rafsi, depending on what part of the 
algorithm you're in.

phma